/*
** C2Rexx.c  -- by Bryan Ewert  --  02 Jun 1996
** Amiga Users of Calgary OOPSIG  --  Calgary, Alberta, Canada
**
** Sends the ARexx command "EXECUTE" to p-interp's
** Rexx port "TURTLESERVER"
*/

/*
** Based on code in:
**
**   fancydemo.c - A fancy rexx host that can send and receive messages.
**   Author - Gary Samad & Bill Hawes
**   This is truly Public Domain!!
*/
#include <proto/exec.h>
#include <proto/rexxsyslib.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

/* Prototype function calls */
void free_rexx_command(struct RexxMsg *);
int send_rexx_command(char *);
void shutdown_rexx_port(struct MsgPort *);
struct MsgPort *setup_rexx_port(void);
void close_up_shop(int);

/* function return codes */
#define OK        0
#define NOTOK     1
/* Error message if REXX isn't loaded */
#define NO_REXX_MSG   "Rexx is not active.  Please run 'rexxmast' from another CLI.\n"
/* Port names and such */
#define HOST_PORT_NAME     "C2Rexx"
#define TURTLE_HOST_NAME    "TURTLESERVER"
#define REXX_EXTENSION     "rexx"
/*
** Global for this application's REXX port
** Used for TurtleServer to reply to our REXX message
*/
#ifdef EXTERN
extern struct MsgPort *rexx_port;
#else
struct MsgPort *rexx_port = NULL;
#endif
